*Do file to multinomial analysis


* STRUCTURAL FACTORS
recode incompatibility (1=1) (2=0), gen (terr)
recode str (1=0) (2/7=1), gen (stratum)

gen logwardur=log(wardur)
gen logbattdeathsum=log(battdeathsum)
gen logbattdeathavg =log(battdeathavg)
*battdeathsum2 variable was rescaled:
gen battdeathsum2=battdeathsum/1000

gen pol2start11= polity2_start + 11
gen pol2end11= pol2end + 11

* ccodeCOW - country number according to COW
* countryunseccouncil - coded manually whether a conflict country is a member of UN Security Council
* postcoldwar - coded manually whether the episode started in the post-Cold War period
* GDPpc- collected from World Development Indicators (in current Dollars) for 2004 (end of examination period) and 1994
* Population- total population in a country, collected from World Development Indicators for 2004 (end of examination period) and 1994
gen loggdppc2004=log(gdppc2004) /*conflict country*/
gen loggdppc1994=log(gdppc1994)
gen logpopulation2004=log(pop2004)
gen logpopulation1994=log(pop1994)
*pop2004_2 variable was rescaled:
gen pop2004_2=pop2004/10000

* militaryalliance - whether a conflict country was a member of military alliance during the conflict (1- NATO, 2- Warsaw Pact, 3- SCO, 4-Arab League, 5 - CSTO)

recode militaryalliance (1/5=1) (0=0), gen (memmilitaryalliance) /*member of military alliance*/

*added recur>10 variable (dummy) based on dyad and stratum variables, indicates war recurrance 10 years from the end of the episode


*MEDIATION ATTEMPT CHARACTERISTICS: 

* added multipartymediation (manual coding) variable based on variable nameofthirdparty 
/*
0- Singlepartymediation
1- UN-led Multiparty Mediation
2- State-led Multiparty Mediation
3- Mixed Multiparty Mediation (states+IGOs(other than UN)/NGOs)
4-UN+EU*/


* added singlepartymediation (manual coding) variable based on variable nameofthirdparty 
/*
0- Multiparty Mediation
1- Private Individual
2- UN
3- other IGOs
4- Regional organizations
5- NGOs
6- states that are UN Sec. Council members
7- other states*/

recode cm6a (. 0=0) (1/9=1)
recode cm6a (0 1/3 6 7=0) (4 9=1), gen (directivestrategy)
recode cm6a (0 1 3 4 6 9=0) (2 7=1), gen (comfacstrategy)
recode cm6a (0 1 2 4 7 9=0) (3 6=1), gen (procedstrategy)
gen sumstrag = directivestrategy+procedstrategy /*directive and procedural strategies together*/

recode cm7 (3/4=1) (0 1/2 5=0), gen (sameblocrelcmed)

recode cm8med (. 0 7 9=0) (1/6=1), gen (previousmed) /* whether there was a previous mediation attempt in this dispute*/ 
recode cm8med (. 0 2/6 7 9=0) (1=1), gen (previousmed1_2) /* indicates that 1-2 previous mediation attempts in this discpute*/ 
recode cm8med (. 0/1 3/6 7 9=0) (2=1), gen (previousmed3_4) /* indicates that 3-4 previous mediation attempts in this discpute*/ 
recode cm8med (. 0/2 7 9=0) (3/6=1), gen (previousmed5) /* indicates that 5 and more previous mediation attempts in this discpute*/ 

recode cm12med (3=1) (. 0 1 2 4 5 6 7=0), gen (statemedinitated)
recode cm12med (1/2=1) (. 0 3/7=0), gen (conflictpartiesinitiated)
recode cm12med (4/5=1) (. 0 1/3 6 7=0), gen (igomedinitated)


recode cm6a (0 1/3 7 9=0) (4 6 =1), gen (directivestrategy2)
recode cm6a (0 1 3 4 6 9=0) (2 7=1), gen (comfacstrategy2)
recode cm6a (0 1 2 4 6 7 =0) (3 9=1), gen (procedstrategy2)

recode cm13med (1/2=1) (.3/6 9=0), gen (conflictpartiesterrmed)
recode cm13med (. 1 2 4 5 6 9=0) (3=1), gen (thirdpartyterrmed)
recode cm13med (. 1 2 3 5 6 9=0) (4=1), gen (neutralterrmed)

recode type (4=1) (3=0), gen (intlzed) 
recode cm14 (0 1/3=0) (4/6 9=1), gen (Medsuccess)

** Relationship of the Parties with the Mediator**

* colonialrelationship: whether colonies, dependencies, and possessions referred to in COW colonial/dependency contiguity data set.coded manually based on COW Colonial Contiguity dataset
* sameblocrelcmed: a dummy whether mediator and warring parties come from the same bloc. In CWM dataset blocs are: western vs nonwestern, east vs west.
* statemedmilitaryalliance--whether a country mediator was a member of military alliance during mediation period (1- NATO, 2- Warsaw Pact, 3- SCO, 4-Arab League, 5 - CSTO)
recode statemedmilitaryalliance (1/5=1) (0=0), gen (statemedmilial) /*country mediator a member of military alliance*/

**** ANALYSIS 

recode multipartymediation (1/4=1) (. 0=0), gen (multipartymediation1)


recode singlepartymediation (1=1) (. 0 2/7=0), gen (individual)
recode singlepartymediation (2=1) (. 0 1 3/7=0), gen (UN)
recode singlepartymediation (2/5=1) (. 0 1 6 7=0), gen (IGOsmed) /* includes: UN, other IGOs, regional, NGOs*/
recode singlepartymediation (3/5=1) (. 0 1 2 6 7=0), gen (IGOsmed2) /* includes all but UN*/
recode singlepartymediation (2/4=1) (. 0 1 5/7=0), gen (IGOsmed3) /* includes all IGOs but NGOs*/
recode singlepartymediation (6/7=1) (. 0 1/5=0), gen (statemed) /* state includes all states*/
recode singlepartymediation (6=1) (. 0 1/5 7=0), gen (UNSecCouncil)
recode singlepartymediation (7=1) (. 0 1/6=0), gen (otherstates)
recode singlepartymediation (1/7=1) (. 0=0), gen (singlepartymediation1)

generate mediation = multipartymediation1 + singlepartymediation1/* indicates other singlepartymediation efforts, IGOs, individual*/
replace mediation= 2 if multipartymediation1==1 & singlepartymediation1==0 /* indicates multiparty mediation*/
replace mediation= 3 if singlepartymediation1==2 & UN==1 /* indicates UN single mediation*/
replace mediation= 4 if singlepartymediation1==2 & statemed==1 /* indicates state single mediation*/


***** Model Mediation Occurance:
mprobit mediation pop2004_2 gdppc2004 wardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed, vce(cluster dyad)
probit med_yesno pop2004_2 gdppc2004 wardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed, cluster(dyad)
estimates store modelall1
esttab modelall1, se star (* .1 ** .05 *** .005) replace title (Full Sample) 
*commands also used: 
estat classification

 
**** Model Strategy Occurance with Both Mediation Characteristics and Structural Factors:

recode cm6a (. 0 1/3 7 9=0) (4 6 =1), gen (directivestrategy)
recode cm6a (. 0 1 3 4 6 9=0) (2 7=1), gen (comfacstrategy)
recode cm6a (. 0 1 2 4 6 7 =0) (3 9=1), gen (procedstrategy)
recode cm6a (. 0=0) (1/9=1)
generate strategy = cm6a
replace strategy= 2 if cm6a==1 & directivestrategy==1 
replace strategy= 3 if cm6a==1 & comfacstrategy==1
replace strategy= 4 if cm6a==1 & procedstrategy==1
recode strategy (1 2 =1) (3=2) (4=3) (.0=0)
/*1- indicates directivestrategy
2- indicates comfacstrategy
3- indicates procedstrategy*/

recode cm12med (1/2=1) (. 0 3/7=0), gen (conflictpartiesinitiated)
recode cm12med (3 4/5=1) (. 0 1/3 6 7=0), gen (mediatorinitated)
recode cm12med (3=1) (. 0 1 2 4 5 6 7=0), gen (statemedinitated)

mprobit strategy UN statemed multipartymediation1 mediatorinitated pop2004_2 gdppc2004 wardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed previousmed, cluster(dyad) 
probit cm6a UN statemed multipartymediation1 mediatorinitated pop2004_2 gdppc2004 wardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed previousmed, cluster(dyad) 
estimates store modelall21

-------
**** Mediation Success (table 4)

recode cm14 (0 1/3=0) (4/6 9=1), gen (Medsuccess)
gen sumstrag = directivestrategy+procedstrategy /*directive and procedural strategies together*/
recode cm13med (1/2=1) (3/6 9=0), gen (conflictpartiesterrmed)
recode cm13med (1 2 4 5 6 9=0) (3=1), gen (thirdpartyterrmed)
recode cm13med (1 2 3 5 6 9=0) (4=1), gen (neutralterrmed)
recode multipartymediation (1=1) (0 2/4=0), gen (UNledmmed)
gen UNsum = UN + UNledmmed


*Models with Mediation Characteristics only:
probit Medsuccess UN statemed multipartymediation1 sumstrag thirdpartyterrmed statemedinitated igomedinitated  previousmed, cluster(dyad)
estimates store modelall311

probit Medsuccess sumstrag thirdpartyterrmed statemedinitated  previousmed  if statemed==1, cluster(dyad)
estimates store modelall322

probit Medsuccess sumstrag thirdpartyterrmed igomedinitated previousmed  if UNsum==1, cluster(dyad)
estimates store modelall333

esttab modelall1 modelall311 modelall322 modelall333, se star (* .1 ** .05 *** .005) replace title (Full Sample) 

probit Medsuccess UN statemed multipartymediation1 sumstrag thirdpartyterrmed statemedinitated igomedinitated  previousmed, cluster(dyad)
estimates store modelall311
predict predictedMedsuccess2
roctab Medsuccess  predictedMedsuccess2

probit Medsuccess sumstrag thirdpartyterrmed statemedinitated  previousmed  if statemed==1, cluster(dyad)
predict predictedMedsuccessState2
roctab Medsuccess  predictedMedsuccessState2

probit Medsuccess sumstrag thirdpartyterrmed igomedinitated previousmed  if UNsum==1, cluster(dyad)
predict predictedMedsuccessUN2
roctab Medsuccess  predictedMedsuccessUN2

			*Command also used: 
			estat classification

*Models with Both Mediation Characteristics and Structural Factors
probit Medsuccess UN statemed multipartymediation1 sumstrag thirdpartyterrmed statemedinitated igomedinitated  previousmed pop2004_2 gdppc2004 logwardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed, cluster(dyad)
estimates store modelall31

probit Medsuccess sumstrag thirdpartyterrmed statemedinitated  previousmed pop2004_2 gdppc2004 logwardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed if statemed==1, cluster(dyad)
estimates store modelall32

probit Medsuccess sumstrag thirdpartyterrmed igomedinitated previousmed pop2004_2 gdppc2004 logwardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed if UNsum==1, cluster(dyad)
estimates store modelall33

esttab modelall31 modelall32 modelall33, se star (* .1 ** .05 *** .005) replace title (Full Sample) 

probit Medsuccess UN statemed multipartymediation1 sumstrag thirdpartyterrmed statemedinitated igomedinitated  previousmed pop2004_2 gdppc2004 logwardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed, cluster(dyad)
predict predictedMedsuccess
roctab Medsuccess predictedMedsuccess

probit Medsuccess sumstrag thirdpartyterrmed statemedinitated  previousmed pop2004_2 gdppc2004 logwardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed if statemed==1, cluster(dyad)
predict predictedMedsuccessState
roctab Medsuccess predictedMedsuccessState

probit Medsuccess sumstrag thirdpartyterrmed igomedinitated previousmed pop2004_2 gdppc2004 logwardur battdeathsum2 memmilitaryalliance pol2end11 stratum intlzed if UNsum==1, cluster(dyad)
predict predictedMedsuccessUN
roctab Medsuccess  predictedMedsuccessUN

			*command also used:
			 estat classification



***Well-predicting Medsuccess==1

prvalue, x (UN = 1   sumstrag = 1  statemedinitated =0 pop2004_2=>  61.916022   gdppc2004=3375.427 pol2end11=11.519573 stratum =0 multipartymediation1=1 memmilitaryalliance =0 )

tab country if UN==1 & sumstrag==1 & pop2004_2<=61 & gdppc2004<=3375 & pol2end11<=11 &stratum==0
/*Angola 
Morocco
Mozambique 
Tajikistan*/
prvalue, x (UN = 1   sumstrag = 1  pop2004_2=61.916022   gdppc2004=3375.427 pol2end11=11.519573 stratum =0)

or 

tab country if UN==1 & sumstrag==1 & pop2004_2<=61 & gdppc2004<=3375 & pol2end11<=11 &stratum==0 & memmilitaryalliance==0
*Angola and Mozambique
prvalue, x (UN = 1   sumstrag = 1   pop2004_2=  61.916022   gdppc2004=3375.427 pol2end11=11.519573 stratum =0 memmilitaryalliance =0 )

or

tab country if UN==1 & sumstrag==1 & pop2004_2<=61 & gdppc2004<=3375 & pol2end11<=11 &stratum==0 & statemedinitated ==0 & memmilitaryalliance==0
* Mozambique (sum [var] if country=="Mozambique")
*pop2004_2==20.24629
*gdppc2004==281
*pol2end11==5
prvalue, x (UN = 1   sumstrag = 1   pop2004_2=20.24629   gdppc2004=281 pol2end11=5 stratum =0 memmilitaryalliance =0 )


***Predicting Medsuccess==0

prvalue, x (UN = 0   sumstrag = 0  statemedinitated =1 pop2004_2=61.916022   gdppc2004=3375.427 pol2end11=11.519573 stratum =1 multipartymediation1=0 memmilitaryalliance =1)

tab country if UN==0  & sumstrag==0 & statemedinitated==1 & pop2004_2>=61.916022  &  gdppc2004>=3375.427 & pol2end11>=11.519573 & stratum==1 & multipartymediation1==0 & memmilitaryalliance==1
tab country if UN==0  & sumstrag==0 & pop2004_2>=61.916022  &  gdppc2004>=3375.427 & pol2end11>=11.519573 & stratum==1 & multipartymediation1==0 & memmilitaryalliance==1

*Russia perfect failure predicted 
* Russia (sum [var] if country=="Russia")
*pop2004_2==143.8496
*gdppc2004==4109 
*pol2end11==15
prvalue, x (UN = 0   sumstrag = 0  pop2004_2=143.8496   gdppc2004=4109 pol2end11=15 stratum =1 multipartymediation1=0 memmilitaryalliance =1)



